This week's book giveaway is in the OCAJP forum.
We're giving away four copies of Programmer's Guide to Java SE 8 Oracle Certified Associate (OCA) and have Khalid A Mughal & Rolf W Rasmussen on-line!
See this thread for details.
Win a copy of Programmer's Guide to Java SE 8 Oracle Certified Associate (OCA) this week in the OCAJP forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

ANT 1.4 With Websphere 4.0

 
Abiram Radhakrishnan
Greenhorn
Posts: 13
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I have written the build file for EJB Task as follows This is the small portion of the my buildfile where I get the Error
This is my buildfile portion
<target name="EJBjar" depends="compile" description="To jar the Compiled Source" >
<ejbjar naming="descriptor" descriptordir="${descriptordir}" srcdir="${buildDir}" destdir="${srcDir}">
<!--<dtd location="${dd}"/>-->
<include name="Hello-Deploy.xml"/>
<include name="*.dtd"/>
<websphere dbvendor="DB2UDBWIN_V71" ejbdeploy="false" oldCMP="false" tempdir="/tmp" destdir="${srcDir}" dbVendor="DB2UDBWIN_V71">
<wasclasspath>
<pathelement location="${was4.home}/deploytool/itp/plugins/org.eclipse.core.boot/boot.jar"/>
<pathelement location="${was4.home}/deploytool/itp/plugins/com.ibm.etools.ejbdeploy/runtime/batch.jar"/>
<pathelement location="${was4.home}/lib/xerces.jar"/>
<pathelement location="${was4.home}/lib/ivjejb35.jar"/>
<pathelement location="${was4.home}/lib/j2ee.jar"/>
<pathelement location="${was4.home}/lib/vaprt.jar"/>
</wasclasspath>
</websphere>
</ejbjar>
</target>
The Error information I get is
*********************************
EJBjar.xml:31: The <ejbjar> task doesn't support the nested "websphere" element.
**********************************
I have followed the same steps as in the doccument and Iam not using nested <websphere> element as stated only one <websphere> element that to same as given in the doccument of EJB Task I donot undersatnd where it goes wrong
Thanks
R.Abiram
 
Erik Hatcher
Author
Ranch Hand
Posts: 111
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Try upgrading to Ant 1.5 and see if the problem persists. Ant 1.4 is over a year old at this point, and Ant 1.5 brings many bug fixes and enhancements.
 
Abiram Radhakrishnan
Greenhorn
Posts: 13
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I have Downloaded the ANT 1.5 & tried with the same then also getting the same Error
Can U give me the diifrent suggetions
R.Abiram
 
Erik Hatcher
Author
Ranch Hand
Posts: 111
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are you sure you aren't still using the older version of Ant?
Please take this issue over to ant-user e-mail list to discuss. I'm pretty sure this has been discussed there recently - so search the archives.
Originally posted by Abiram Radhakrishnan:
Hi,
I have Downloaded the ANT 1.5 & tried with the same then also getting the same Error
Can U give me the diifrent suggetions
R.Abiram
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic